---
features:
  primary:
  - name: "Add approval rules for all protected branches"
    available_in: [premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/approvals/rules.html#approvals-for-protected-branches'
    image_url: '/images/15_3/manage-all-protected-branches.png'
    reporter: stkerr
    stage: foundations # Prefix this file name with stage-informative-title.yml
    categories:
    - 'Compliance Management'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/364091'
    description: |
      You can now create an [MR approval rule](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/rules.html) and apply it to only protected branches in your
      project. This is a great improvement that allows you to more selectively apply compliance controls with increased granularity.

      Previously, adding an MR approval rule would apply it to all branches. This was a great way to ensure that proper workflows were enforced before
      code reached production, but it also meant that MRs for feature branches, short-lived branches, or experimental branches all had to use the same
      workflow. This could slow down developers that did not intend to commit to protected branches and who likely did not need the same level
      of workflow enforcement.
       
      Creating MR approval rules for protected branches allows you to be confident that the sensitive branches you depend on will have proper
      workflows applied to them while not slowing down development on other branches that do not need the same level of control.
